#NoEnv
#SingleInstance, Force
; TLP-start-eq-autologin.ahk
; Script to start EQ & Login
; version 230327b
OutputDebug, % "`n" . A_Now . " Started: " . A_ScriptName
SendMode Input

; syntax
; ========================================================================================================
; No trailing \ in the paths!
; My EQ installed @ C:\eq\live_eq so C:\eq\live_eq\eqgame.exe
; ===========================================================================================================
global eqPath := "C:\eq\live_eq" ; edit this!

; syntax
; ===========================================================================================================
; startEQ("YourLogin", "YourPassword")
; ===========================================================================================================
startEQ("login", "pass") ; edit this!






; ===========================================================================================================
; Don't edit below
; ===========================================================================================================
ExitApp

startEQ(eqLogin, eqPassword) {
	If !WinExist("ahk_exe " . eqPath . "\eqgame.exe" ahk_class _EverQuestwndclass) {

		OutputDebug, % "`n" . A_Now . " EQ: Startin with login: " . eqLogin
		Run, %eqPath%\eqgame.exe patchme /login:%eqLogin%, %eqPath%
		While !WinActive("ahk_exe " . eqPath . "\eqgame.exe" ahk_class _EverQuestwndclass) {
			Sleep, 1000
			OutputDebug, % "`n" . A_Now . " EQ: Waiting..."
		}
		OutputDebug, % "`n" . A_Now . " EQ: Active!"
		If WinActive("ahk_exe " . eqPath . "\eqgame.exe" ahk_class _EverQuestwndclass) {
			; janky simple password input
			Sleep, 3000 ; forced wait, I was unable to confirm you can type
			OutputDebug, % "`n" . A_Now . " EQ Pass: " . eqPassword
			Send, %eqPassword%
			Send {Enter}
			Sleep, 5000 ; forced wait, I was unable to confirm server select
			OutputDebug, % "`n" . A_Now . " EQ Attempting Server Select"
			Send {Enter}
			OutputDebug, % "`n" . A_Now . " EQ: Started!"
		}
	} Else OutputDebug, % "`n" . A_Now . " EQ: Already running"
}